from flask import Flask
from flask import render_template
from flask import request
from practicum import find_mcu_boards
from peri import McuWithPeriBoard
from time import sleep
from pysimavr.avr import Avr
import os
import logging
import itertools
from practicum import *
devs = find_mcu_boards()
b =McuWithPeriBoard(devs[0])
pir = b.getpir()
app = Flask(__name__)
print ('{0}'.format(pir))
@app.route("/")
def index():
    return render_template('index.html')
@app.route('/energy', methods=['POST'])
def energy():
    os.system('python3 Test.py')
    return render_template('energy.html')
@app.route('/home',methods=['POST'])
def home():
    return render_template('index.html')
@app.route('/security', methods=['POST'])
def security():
    os.system('python3 Test1.py')
    #pir = b.getpir()
    #print ('{0}'.format(pir))
        #return render_template('robber.html')
    #else:
    return render_template('security.html')

app.run(debug=True)
